import { SvelteComponentTyped } from "svelte";
import type { ColorVariant } from '../types';
import { fade } from 'svelte/transition';
declare const __propDef: {
    props: {
        [x: string]: any;
        color?: ColorVariant | undefined;
        large?: boolean | undefined;
        dismissable?: boolean | undefined;
        border?: boolean | undefined;
        href?: string | undefined;
        rounded?: boolean | undefined;
        transition?: typeof fade | undefined;
        params?: {} | undefined;
    };
    events: {
        close: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        'close-button': {
            close: () => void;
        };
    };
};
export type BadgeProps = typeof __propDef.props;
export type BadgeEvents = typeof __propDef.events;
export type BadgeSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: ColorVariant = 'primary';
 * @prop export let large: boolean = false;
 * @prop export let dismissable: boolean = false;
 * @prop export let border: boolean = false;
 * @prop export let href: string = '';
 * @prop export let rounded: boolean = false;
 * @prop export let transition = fade;
 * @prop export let params = {};
 */
export default class Badge extends SvelteComponentTyped<BadgeProps, BadgeEvents, BadgeSlots> {
}
export {};
